com.pivotal.gemfirexd.internal.client.am

## Class LogicalCallableStatement40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.LogicalPreparedStatement
  - - com.pivotal.gemfirexd.internal.client.am.LogicalCallableStatement
    - - com.pivotal.gemfirexd.internal.client.am.LogicalCallableStatement40

All Implemented Interfaces:
  AutoCloseable, CallableStatement, PreparedStatement, Statement, Wrapper

    public class LogicalCallableStatement40
    extends LogicalCallableStatement

JDBC 4 specific wrapper class for a Derby physical callable statement.

See Also:
  `LogicalCallableStatement`, `isClosed()`

### Field Summary

Fields
`protected Agent` `agent` Create a logical entity for a `PreparedStatement`.

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`LogicalCallableStatement40(Agent agent, CallableStatement physicalCs, StatementKey stmtKey, StatementCacheInteractor cacheInteractor)` Creates a new logical callable statement.

### Method Summary

Methods
`void` `close()` Close the logical statement.
`void` `closeOnCompletion()`
`Reader` `getCharacterStream(int arg0)`
`Reader` `getCharacterStream(String arg0)`
`Reader` `getNCharacterStream(int arg0)`
`Reader` `getNCharacterStream(String arg0)`
`NClob` `getNClob(int arg0)`
`NClob` `getNClob(String arg0)`
`String` `getNString(int arg0)`
`String` `getNString(String arg0)`
`<T> T` `getObject(int parameterIndex, Class<T> type)`
`<T> T` `getObject(String parameterName, Class<T> type)`
`RowId` `getRowId(int arg0)`
`RowId` `getRowId(String arg0)`
`SQLXML` `getSQLXML(int arg0)`
`SQLXML` `getSQLXML(String arg0)`
`boolean` `isClosed()`
`boolean` `isCloseOnCompletion()`
`boolean` `isPoolable()`
`boolean` `isWrapperFor(Class<?> arg0)`
`void` `setAsciiStream(int arg0, InputStream arg1)`
`void` `setAsciiStream(int arg0, InputStream arg1, long arg2)`
`void` `setAsciiStream(String arg0, InputStream arg1)`
`void` `setAsciiStream(String arg0, InputStream arg1, long arg2)`
`void` `setBinaryStream(int arg0, InputStream arg1)`
`void` `setBinaryStream(int arg0, InputStream arg1, long arg2)`
`void` `setBinaryStream(String arg0, InputStream arg1)`
`void` `setBinaryStream(String arg0, InputStream arg1, long arg2)`
`void` `setBlob(int arg0, InputStream arg1)`
`void` `setBlob(int arg0, InputStream arg1, long arg2)`
`void` `setBlob(String arg0, Blob arg1)`
`void` `setBlob(String arg0, InputStream arg1)`
`void` `setBlob(String arg0, InputStream arg1, long arg2)`
`void` `setCharacterStream(int arg0, Reader arg1)`
`void` `setCharacterStream(int arg0, Reader arg1, long arg2)`
`void` `setCharacterStream(String arg0, Reader arg1)`
`void` `setCharacterStream(String arg0, Reader arg1, long arg2)`
`void` `setClob(int arg0, Reader arg1)`
`void` `setClob(int arg0, Reader arg1, long arg2)`
`void` `setClob(String arg0, Clob arg1)`
`void` `setClob(String arg0, Reader arg1)`
`void` `setClob(String arg0, Reader arg1, long arg2)`
`void` `setNCharacterStream(int arg0, Reader arg1)`
`void` `setNCharacterStream(int arg0, Reader arg1, long arg2)`
`void` `setNCharacterStream(String arg0, Reader arg1)`
`void` `setNCharacterStream(String arg0, Reader arg1, long arg2)`
`void` `setNClob(int arg0, NClob arg1)`
`void` `setNClob(int arg0, Reader arg1)`
`void` `setNClob(int arg0, Reader arg1, long arg2)`
`void` `setNClob(String arg0, NClob arg1)`
`void` `setNClob(String arg0, Reader arg1)`
`void` `setNClob(String arg0, Reader arg1, long arg2)`
`void` `setNString(int arg0, String arg1)`
`void` `setNString(String arg0, String arg1)`
`void` `setPoolable(boolean arg0)`
`void` `setRowId(int arg0, RowId arg1)`
`void` `setRowId(String arg0, RowId arg1)`
`void` `setSQLXML(int arg0, SQLXML arg1)`
`void` `setSQLXML(String arg0, SQLXML arg1)`
`<T> T` `unwrap(Class<T> arg0)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.LogicalCallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getObject, getObject, getObject, getObject, getRef, getRef, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCharacterStream, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.LogicalPreparedStatement

`addBatch, addBatch, cancel, clearBatch, clearParameters, clearWarnings, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getMoreResults, getParameterMetaData, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setQueryTimeout, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

### Field Detail

#### agent

    protected final Agent agent

Create a logical entity for a `PreparedStatement`.

### Constructor Detail

#### LogicalCallableStatement40

    public LogicalCallableStatement40(Agent agent,
                              CallableStatement physicalCs,
                              StatementKey stmtKey,
                              StatementCacheInteractor cacheInteractor)

Creates a new logical callable statement.

Parameters:
  `physicalCs` - underlying physical statement
  `stmtKey` - key for the physical statement
  `cacheInteractor` - creating statement cache interactor
Throws:
  `IllegalArgumentException` - if `cache` is `null`

### Method Detail

#### setRowId

    public void setRowId(int arg0,
                RowId arg1)
                  throws SQLException

Throws:
  `SQLException`

#### setNString

    public void setNString(int arg0,
                  String arg1)
                    throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int arg0,
                           Reader arg1,
                           long arg2)
                             throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int arg0,
                NClob arg1)
                  throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(int arg0,
               Reader arg1,
               long arg2)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(int arg0,
               InputStream arg1,
               long arg2)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int arg0,
                Reader arg1,
                long arg2)
                  throws SQLException

Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int arg0,
                 SQLXML arg1)
                   throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int arg0,
                      InputStream arg1,
                      long arg2)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int arg0,
                       InputStream arg1,
                       long arg2)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int arg0,
                          Reader arg1,
                          long arg2)
                            throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int arg0,
                      InputStream arg1)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int arg0,
                       InputStream arg1)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int arg0,
                          Reader arg1)
                            throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int arg0,
                           Reader arg1)
                             throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(int arg0,
               Reader arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(int arg0,
               InputStream arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int arg0,
                Reader arg1)
                  throws SQLException

Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Throws:
  `SQLException`

#### setPoolable

    public void setPoolable(boolean arg0)
                     throws SQLException

Throws:
  `SQLException`

#### isPoolable

    public boolean isPoolable()
                       throws SQLException

Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> arg0)
             throws SQLException

Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> arg0)
                         throws SQLException

Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(int arg0)
                   throws SQLException

Throws:
  `SQLException`

#### getRowId

    public RowId getRowId(String arg0)
                   throws SQLException

Throws:
  `SQLException`

#### setRowId

    public void setRowId(String arg0,
                RowId arg1)
                  throws SQLException

Throws:
  `SQLException`

#### setNString

    public void setNString(String arg0,
                  String arg1)
                    throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(String arg0,
                           Reader arg1,
                           long arg2)
                             throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(String arg0,
                NClob arg1)
                  throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(String arg0,
               Reader arg1,
               long arg2)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(String arg0,
               InputStream arg1,
               long arg2)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(String arg0,
                Reader arg1,
                long arg2)
                  throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(int arg0)
                   throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob(String arg0)
                   throws SQLException

Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(String arg0,
                 SQLXML arg1)
                   throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(int arg0)
                     throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML(String arg0)
                     throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString(int arg0)
                      throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString(String arg0)
                      throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(int arg0)
                               throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream(String arg0)
                               throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(int arg0)
                              throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(String arg0)
                              throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(String arg0,
               Blob arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(String arg0,
               Clob arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(String arg0,
                      InputStream arg1,
                      long arg2)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(String arg0,
                       InputStream arg1,
                       long arg2)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(String arg0,
                          Reader arg1,
                          long arg2)
                            throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(String arg0,
                      InputStream arg1)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(String arg0,
                       InputStream arg1)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(String arg0,
                          Reader arg1)
                            throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(String arg0,
                           Reader arg1)
                             throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(String arg0,
               Reader arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(String arg0,
               InputStream arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(String arg0,
                Reader arg1)
                  throws SQLException

Throws:
  `SQLException`

#### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

Throws:
  `SQLException`

#### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject(int parameterIndex,
                  Class<T> type)
                throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject(String parameterName,
                  Class<T> type)
                throws SQLException

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Close the logical statement.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Statement`
Throws:
  `SQLException` - if closing the statement fails